import dayjs from 'dayjs';
import isSameOrBefore from 'dayjs/plugin/isSameOrBefore';
import { statusList, statusMessage } from "../../../../../status";
import "./index.less";
dayjs.extend(isSameOrBefore);
var Status = function Status(props) {
  var _props$type = props.type,
    type = _props$type === void 0 ? 'call_to_book' : _props$type;
  return /*#__PURE__*/React.createElement("div", {
    className: "event-calendar-status"
  }, statusList.map(function (i) {
    return /*#__PURE__*/React.createElement("div", {
      className: "item",
      key: i.status
    }, /*#__PURE__*/React.createElement("div", {
      style: {
        height: i.status == 0 ? '28px' : '4px',
        background: i.color
      },
      className: "item-icon"
    }), /*#__PURE__*/React.createElement("span", {
      className: "item-text"
    }, i.status === 2 ? statusMessage(type) : i.text));
  }));
};
export default Status;